Subject: Re: Rebasing stgit stacks

From: Jakub Narebski <[email-masked]>
Date: Wed, 17 Jan 2007 00:30:18 +0100

Yann Dirson wrote:

> On Tue, Jan 16, 2007 at 10:42:17PM +0000, Catalin Marinas wrote:

>>>The idea is that we pull our stack from one place (current base) to
>>>another.  Another possiblity would have been "stg rebase", but I'm not
>>>very keen on adding another command to do a very similar job.
>> 
>> Can you give a typical example of what <newbase> argument for --to is
>> and what you repository looks like? I just want make sure I correctly
>> understand the problem.
> 
> My example is quite similar to the one given by Guilhem: I had a git
> branch coming from git-cvsimport, and my stgit stack forked atop that
> branch.  At some point git-cvsimport fucked something, and I
> regenerated a new mirror branch using it in a fresh repo.  Then I
> wanted to rebase my stack on that new branch.

I'm all for calling this command "stg rebase". Currently you can do
"stg push -a; stg commit -a; git rebase; stg uncommit -n <n>"...
-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git